corda / net.corda.node.services.transactions / BFTSmartClient

# BFTSmartClient

`class BFTSmartClient<K : Any, V : Any>`

### Constructors

<init> | `BFTSmartClient(id: Int)`

### Properties

clientProxy | `val clientProxy: ServiceProxy`

### Functions

get | `fun get(key: K): V?` Returns the value associated with the key or null if no value is stored under the key.
put | `fun put(entries: Map<K, V>): Map<K, V>` Returns conflicts as a map of conflicting keys and their stored values or an empty map if all entries are committed without conflicts.